.modal-login {
    position: absolute;
    top: 0;

    display: none;
    align-items: flex-start;
    justify-content: center;

    width: 100%;
    height: 110%;

    background: rgba(0, 0, 0, 0.5);

    z-index: 1070;
}

.modal-login.active {
    display: flex;
}

.modal-login-container, .modal-login-container2 {
    display: flex;
    width: 27.375rem;
    height: 38.1875rem;
    padding: 0rem var(--spacing-space-04, 1rem) var(--spacing-space-04, 1rem) var(--spacing-space-04, 1rem);

    flex-direction: column;
    justify-content: space-between;
    align-items: center;

    margin: 5% auto auto auto;

    border-radius: var(--spacing-space-05, 1.5rem);
    background: #FFF;
    box-shadow: 0px 6px 52px 0px rgba(3, 4, 94, 0.08);
}

/* Header Login */
.modal-login-header {
    display: flex;
    padding: var(--spacing-space-04, 1rem) 0rem;
    justify-content: space-between;
    align-items: center;
    gap: var(--spacing-space-03, 0.75rem);
    align-self: stretch;
    border-bottom: 1px solid #BEC6D0;
}

.modal-login-header-text {
    display: flex;
    align-items: center;
    justify-content: flex-start;

    gap: 0.5rem;

    color: #21428E;
    font-family: Nunito Sans;
    font-size: 1rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.modal-login-header-text svg {
    width: 1.5rem;
    height: 1.5rem;
}

.modal-login-fechar {
    padding: var(--spacing-space-01);
    transition: all ease-in-out 0.2s;
    border-radius: 50%;
    cursor: pointer;
}

.modal-login-fechar:hover {
  background: rgba(28, 141, 255, 0.12);
}

.modal-login-fechar svg{
    width: 1rem;
    height: 1rem;
}
/* Fim Header Login */

/* Body Login */
.modal-login-body {
    position: relative;

    /* height: 20.625rem; */
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--spacing-space-05, 1.5rem);
    align-self: stretch;
}

.modal-login-body .contem-form-login,
.modal-login-body .contem-form-token {
    max-width: 18.8125rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 25px;
    align-items: flex-end;
}

#form-login-token .topo-token{
    color: #5A637D;
    font-family: "Nunito Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 16px;
}

#form-login-token .texto-token {
    color: #5A637D;
    font-family: "Nunito Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

#form-login-token .token-input{
    display: flex;
    gap: 8px;
    margin-top: 34px;
}

#form-login-token .token-input input{
    width: 42px;
    height: 64px;
    background: #F4F4F4;
    border: 1px solid #F4F4F4;
    text-align: center;
    font-family: "Nunito Sans";
    font-size: 14px;
}

#form-login-token .token-input .error {
    border-color: red;
}

.modal-login-body form{
    max-width: 18.8125rem;
    width: 100%;
}

.form-login-group {
    margin-bottom: 1rem;
}

.form-login-group, .form-senha-group {
    color: #5A637D;
    font-family: Nunito Sans;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.form-login-group input, .form-senha-group input {
    border-radius: 0.75rem;
}

.form-login-group input::placeholder , .form-senha-group input::placeholder {
    color: #A8B0C7;
    font-family: Nunito Sans;
    font-size: 1rem;
    font-style: italic;
    font-weight: 400;
    line-height: normal;
}

.form-login-container , .form-senha-container{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.form-login-container svg, .form-senha-container svg {
    position: absolute;
    right: 10px;
}

.form-senha-group small {
    max-width: 18.8125rem;
    width: 100%;
    height: 0.75rem;
    margin-top: 0.25rem;
    color: #000;
    text-align: right;
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    display: table;
}

.problemas-login{

    padding: 10px;
    gap: 0.5rem;

    align-items: center;
    justify-content: center;

    border-radius: 1.4375rem;
    transition: all ease-in-out 0.3s;

    cursor: pointer;

    color: #1c8dff;
    text-align: center;
    font-family: "Nunito Sans";
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: 16.37px;
}

.problemas-login:hover{

    background: #DEF0FF;
}

.modal-footer{
    justify-content: space-between;
    width: 301px;
    height: 40px;
}

.login_submit, .token_submit {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: var(--spacing-space-01, 0.25rem);
    border-radius: var(--spacing-07, 1.5rem);
    background: #0070E0;
    color: #FFF;
    font-family: Nunito Sans;
    font-size: 0.875rem;
    font-style: italic;
    font-weight: 700;
    line-height: normal;
    width: fit-content;
}

.loading{
    background: url('Imagens/loading2.gif') no-repeat center center #FFF;
    position: absolute;
    width: 100%;
    height: -webkit-fill-available;
    display: none;
    z-index: 999;
}

.loader .loading{
    display: block;
}

.resend{
    background: transparent;
    border: none;
    color: #1C8DFF;
    font-family: "Nunito Sans";
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration-line: underline;
}

.countdown{
    color: #000;
    font-family: "Nunito Sans";
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 28px;
}

.countdown #countdown{
    color: #1C8DFF;
    font-family: "Nunito Sans";
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration-line: underline;
}

.content-button{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    margin-top: 35px;
}

.label-login {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.erro-login {
    color: red;
    font-weight: bold;
    display: none;
}

.label-senha {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

small.erro-senha {
    color: red;
    font-weight: bold;
    display: none;
}


/* Fim Body Login */

/* Footer Login */
.modal-login-footer {
    height: 9.9375rem;
    width: 100%;

    display: flex;
    height: 9.9375rem;
    padding: var(--spacing-space-04, 1rem);
    justify-content: center;
    align-items: center;
    gap: var(--spacing-space-03, 0.75rem);
    flex-shrink: 0;
    align-self: stretch;

    border-radius: var(--spacing-space-04, 1rem);
    background: linear-gradient(0deg, #003079 25.79%, #104CA6 100%);
    backdrop-filter: blur(10.896936416625977px);
}
/*  Footer Login */

.modal-login-success {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    align-self: stretch;

    margin-bottom: 1.5rem;
}

.modal-login-success svg {
    width: 4rem;
    height: 4rem;
}

.msg-login1 {
    width: 16.125rem;

    color: #03045E;
    text-align: center;
    font-family: 'Nunito Sans';
    font-size: 1.25rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.msg-login2 {
    align-self: stretch;
    color: #000;
    text-align: center;
    font-family: 'Nunito Sans';
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.modal-login-list {
    display: flex;
    padding: var(--spacing-03, 0.75rem);
    flex-direction: column;
    align-items: center;
    gap: var(--spacing-02, 0.5rem);
    flex: 1 0 0;
    align-self: stretch;

    border-radius: var(--spacing-04, 1rem);
    background: rgba(37, 99, 192, 0.06);

    overflow-x: hidden;
    overflow-y: scroll;
}

.modal-login-list-item {
    display: flex;
    flex-direction: column;
    padding: var(--spacing-01, 0.25rem) 1.75rem var(--spacing-01, 0.25rem) var(--spacing-03, 0.75rem);
    justify-content: space-between;
    align-items: flex-start;
    align-self: stretch;
    margin-bottom: 0.5rem;
    margin-top: 0.5rem;
    border-radius: 1rem;

    transition: all ease-in-out .3s;

    cursor: pointer;
}

.modal-login-list-item:hover {
    background: #94c693;
}

.modal-login-list-item h4 {
    align-self: stretch;
    color: #03045E;
    font-family: Nunito Sans;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 700;
    line-height: 1.5rem; /* 171.429% */
    letter-spacing: 0.00625rem;
}

.modal-login-list-item span {
    align-self: stretch;
    color: #03045E;
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.5rem; /* 200% */
    letter-spacing: 0.00625rem;
    text-transform: uppercase;
}

.modal-login-list-item-separator {
    width: 23.875rem;
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}

.modal-login-success {
    display: none;
    margin-top: 40%;
}

.modal-login-container {
    /* justify-content: flex-start; */
}

.modal-login-body {
    /* display: none; */
}

.modal-login-footer {
    /* display: none; */
}

.modal-login-list {
    display: none;
}

.menu-usuario {
    position: absolute;

    top: 30%;
    right: 40%;

    width: 100%;
    max-width: 18.625rem;

    /* height: 100%; */
    /* max-height: 30rem; */

    display: none;
    padding: 0.875rem;
    flex-direction: column;
    align-items: flex-end;
    gap: 0.25rem;

    border-radius: var(--spacing-05, 0.75rem);
    background: #FFF;
    /* shadow-01 */
    box-shadow: 0px 6px 32px 0px rgba(3, 4, 94, 0.09);

    z-index: 1071;
}

.menu-usuario-upper {
    display: flex;
    padding: var(--spacing-00, 0rem);
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-04, 0.5rem);
    align-self: stretch;

    border-radius: var(--spacing-04, 0.5rem);
}

.menu-usuario-header {
    display: flex;
    width: 16.375rem;
    align-items: flex-start;
    gap: var(--spacing-04, 0.5rem);
}

.menu-usuario-avatar {
    display: flex;
    width: 2rem;
    height: 2rem;
    padding: 0.25rem;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;

    border-radius: var(--spacing-04, 0.5rem);
    border: 1px solid rgba(0, 0, 0, 0.12);
    background: #FFF;
}

.menu-usuario-avatar svg {
    width: 1.5rem;
    height: 1.5rem;
    flex-shrink: 0;
}

.menu-usuario-header-texts {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.menu-usuario-header-texts span:nth-child(1) {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    align-self: stretch;

    overflow: hidden;
    color: #58627C;
    text-overflow: ellipsis;
    font-family: Nunito Sans;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.menu-usuario-header-texts span:nth-child(2) {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    align-self: stretch;

    overflow: hidden;
    color: #58627C;
    text-overflow: ellipsis;
    font-family: Nunito Sans;
    font-size: 0.625rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;

    text-transform: uppercase;
}


.menu-usuario-card {
    display: flex;

    width: 16.875rem;

    /* height: 7.8675rem; */

    padding: var(--spacing-05, 0.75rem);
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: var(--spacing-02, 0.25rem);
    align-self: stretch;

    margin-bottom: 0.25rem;

    border-radius: 1.5rem;
    /* background: rgba(76, 190, 74, 0.16); */
}

.menu-usuario-card div:nth-child(1) {
    display: flex;
    align-items: center;
    justify-content: space-between;

    width: 100%;
}

.menu-usuario-card div:nth-child(1) img {
    width: 1.5rem;
    height: 1.5rem;
}

.menu-usuario-card div:nth-child(1) span {
    display: flex;
    align-items: center;
    justify-content: center;

    gap: 0.38rem;

    color: rgba(0, 0, 0, 0.76);
    font-family: Nunito Sans;
    font-size: 0.625rem;
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    letter-spacing: 0.06875rem;

    text-transform: uppercase;
}

.menu-usuario-card-plano.active {
    display: flex;
}

.menu-usuario-card-plano {
    display: none;
    padding: var(--spacing-04, 0.5rem) var(--spacing-05, 0.75rem);
    justify-content: space-between;
    align-items: center;
    align-self: stretch;

    border-radius: var(--spacing-05, 0.75rem);
    border: 1px solid rgba(0, 0, 0, 0.12);
}

.menu-usuario-card-plano span:nth-child(1) {
    color: rgba(0, 0, 0, 0.76);
    text-align: center;
    font-family: Nunito Sans;
    font-size: 0.625rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.06875rem;
}

.menu-usuario-card-plano span:nth-child(2) {
    max-width: 10rem;

    color: rgba(0, 0, 0, 0.76);
    text-align: center;
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.menu-usuario-card div:nth-child(3) {
    display: flex;
    padding: var(--spacing-04, 0.5rem) var(--spacing-05, 0.75rem);
    justify-content: space-between;
    align-items: center;
    align-self: stretch;

    border-radius: var(--spacing-05, 0.75rem);
    background: #FFF;
}

.menu-usuario-card div:nth-child(3) span:nth-child(1) {
    color: rgba(0, 0, 0, 0.76);
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
}

.menu-usuario-card div:nth-child(3) span:nth-child(2) {
    color: rgba(0, 0, 0, 0.76);
    text-align: right;
    font-family: Nunito Sans;
    font-size: 0.675rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
}

.menu-usuario-lower {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.menu-usuario-lower-item, .menu-usuario-lower-item-2 {
    display: flex;
    min-height: 2.25rem;
    padding: var(--spacing-02, 0.25rem) var(--spacing-04, 0.5rem);
    justify-content: flex-start;
    align-items: center;
    gap: 0.625rem;
    align-self: stretch;

    transition: all ease-in-out .3s;

    border-radius: 1rem;

    cursor: pointer;
}

a.menu-usuario-lower-item, a.menu-usuario-lower-item-2 {
    text-decoration: none;
}

.menu-usuario-lower-item svg {
    width: 1rem;
    height: 1rem;
}

.menu-usuario-lower-item span {
    color: #5A637D;
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.menu-usuario-lower-item-sparator {
    width: 16.875rem;
    height: 0.0625rem;
    margin: 0.25rem 0;
    background: rgba(0, 0, 0, 0.12);
}

.menu-usuario-lower-item:hover {
    background: rgba(28, 141, 255, 0.12);
}

.menu-usuario-lower-item-2:hover {
    background: #004d9a;
}

.field-area-cliente {
    display: flex;
    min-height: 2.25rem;
    padding: 1rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.225rem;
    align-self: stretch;

    margin-bottom: 0.25rem;

    border-radius: 0.5rem;
    border: 1px solid #D7DEEC;
  }

  .field-area-cliente-top {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .field-area-cliente-top div:nth-child(1) {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 0.62rem;

    color: #5A637D;
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }

  .field-area-cliente-separator {
    width: 100%;
    height: 0.0625rem;
    margin: 0.15rem 0;
    background: rgba(0, 0, 0, 0.12);
  }

  .area-cliente-novo {
    display: flex;
    height: 2rem;
    min-width: 2rem;
    padding: 0.5rem;
    justify-content: center;
    align-items: center;

    border-radius: 2rem;
    background: #0073E5;
}

.area-cliente-novo span {
    color: #FFF;
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
  }

  .area-cliente-anterior {
    display: flex;
    height: 2rem;
    min-width: 2rem;
    padding: 0.5rem;
    justify-content: center;
    align-items: center;

    border-radius: 2rem;
  }

  .area-cliente-anterior span {
    color: #005CCF;
    font-family: Nunito Sans;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
  }

.login-sucesso-img {
    display: none;
    width: 4rem;
    height: 4rem;
}

.login-erro-img {
    display: none;
    width: 4rem;
    height: 4rem;
}

.login-sucesso-img.active {
    display: flex;
}

.login-erro-img.active {
    display: flex;
}

#redireciona-altera-senha {
    display: hidden;
}